package com.bonus.canteen.core.account.constants;

public enum CardTypeEnum {
   IC_CARD(1, "IC卡"),
   CPU_CARD(2, "CPU卡"),
   ID_CARD(3, "ID卡"),
   THIRD_IC_CARD(10, "第三方IC卡");

   private final Integer key;
   private final String desc;

   private CardTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }
}
